<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>dez-canvas test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>
    <script src="utils.js"></script>

    <link rel="import" href="../dez-canvas.html">
  </head>
  <body>

    <test-fixture id="BasicTestFixture">
      <template>
        <dez-canvas></dez-canvas>
      </template>
    </test-fixture>

    <script>

    suite ('Basic Test', function () {

        setup (function () {
            this.element = fixture('BasicTestFixture');
            this.svgElement = this.element.shadowRoot.querySelector('svg');
        })

        test('instantiating the element with default properties should have bg undefined', function() {
            assert.equal(this.element.bg, undefined);
        });

        test('instantiating the element with default properties works', function() {
            assert.match(this.svgElement.innerHTML,/<desc.*>Created with Snap<\/desc><defs.*><\/defs><g.*><\/g>/)
        });

        test('instantiating the element with default properties should set default dimensions', function() {
            assert.equal(this.svgElement.getAttribute("height"), '250');
            assert.equal(this.svgElement.getAttribute("width"), '500');
            assert.equal(this.svgElement.getAttribute("viewBox"), '0 0 500 250');
        });

    });

    </script>

  </body>
</html>
